Name:           shed
Version:        1.15
Release:        19%{?dist}
Summary:        Easy to use hex editor

Group:          Applications/Editors
License:        GPLv2+
URL:            http://shed.sourceforge.net/
Source0:        http://downloads.sourceforge.net/shed/%{name}-%{version}.tar.gz
Patch0:         shed-1.15-makefile_in.patch
Patch1:         shed-1.15-configure_cflags.patch


BuildRequires:  gcc
BuildRequires:  ncurses-devel

%description
shed is an easy to use hex editor written for unix/linux using ncurses,
with a friendly pico-style interface.


%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS COPYING ChangeLog README TODO BUGS
%{_bindir}/%{name}
%{_mandir}/man1/shed.1*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.15-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Aug 10 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.15-5
- Fixed Source0 as per https://www.redhat.com/archives/fedora-devel-list/2009-August/msg00591.html

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 21 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.15-3
- Patched the configure cflags

* Mon Apr 20 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.15-2
- Fixed debuginfo issue, patched Makefile.in to not strip

* Mon Apr 13 2009 Adam Miller <maxamillion [AT] gmail.com> - 1.15-1
- New upstream release.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 27 2008 Adam Miller <maxamillion [AT] gmail.com> - 1.14-1
- New upstream release.

* Sun Nov 02 2008 Adam Miller <maxamillion [AT] gmail.com> - 1.13-3
- Fixed the license listing for the project.

* Wed Oct 29 2008 Adam Miller <maxamillion [AT] gmail.com> - 1.13-2
- Fixed issues that were brought to my attention from package review
- Typo in download, removed chmod, added changelog, incremented release

* Fri Oct 24 2008 Adam Miller <maxamillion [AT] gmail.com> - 1.13-1
- First build of shed for fedora
